### Interface

# Gdk DragSurface

#### Description [src]

    interface Gdk.DragSurface : Gdk.Surface

A surface that is used during DND.

#### Prerequisite

In order to implement DragSurface, your type must inherit from`GdkSurface`.

#### Instance methods

###### gdk_drag_surface_present

Present `drag_surface`.

#### Signals

###### Gdk.DragSurface::compute-size

Emitted when the size for the surface needs to be computed, when it is present.

since: 4.12

#### Interface structure

    struct GdkDragSurfaceInterface {
      /* no available fields */
    }

The `GdkDragSurfaceInterface` implementation is private to GDK.